<div class="card" *ngIf="(finishedLoading$ | async) as finishedLoading; else loading">
  <ng-container [ngSwitch]="teamstate">

    <ng-container *ngSwitchCase="'FOUND'">
      <div class="card-header">
        Team invitation pending...
      </div>
      <div class="card-body">
        <h5 class="card-title">{{ team.name }}</h5>
        <p class="card-text">There are already {{ team.membersCount }} team members managing {{ team.roomsCount }} rooms. Do you want to join this
          team now?</p>
        <a [routerLink]="['/dashboard']" class="btn btn-default">Ignore</a>
        <button class="btn btn-primary" (click)="joinTeam(team)">Join</button>
      </div>
    </ng-container>

    <ng-container *ngSwitchCase="'ALREADY_JOINED'">
      <div class="d-flex p-2 justify-content-center align-items-end">
        <div class="align-self-center text-center pt-5">
          <h1>{{team.name}}</h1>
          <br>
          <img src="assets/img/undraw_done_a34v.svg" style="max-height: 200px; max-width: 90%">
          <br>
          <br>
          <p class="h2">You already joined that team.</p>
        </div>
      </div>
    </ng-container>

    <ng-container *ngSwitchCase="'CODE_INVALID'">
      <div class="d-flex p-2 justify-content-center align-items-end">
        <div class="align-self-center text-center pt-5">
          <h1>Error</h1>
          <br>
          <img src="assets/img/undraw_access_denied_6w73.svg" style="max-height: 200px; max-width: 90%">
          <br>
          <br>
          <p class="h3">This invitation code is invalid. Ask for a new one!</p>
        </div>
      </div>
    </ng-container>
  </ng-container>
</div>

<ng-template #loading>
  <div class="d-flex p-2 justify-content-center align-items-end" style="height: 200px">
    <div class="fa-3x">
      <fa-icon [icon]="faCircleNotch" spin="true"></fa-icon>
    </div>
  </div>
</ng-template>
